package fcb.project.manager.base.enums;

/**
 * 2 * @Author: Abner
 * 3 * @Date: 2021/1/11 16:18
 * 4
 */
public enum UuidPreEnum {

    AUDIT_ID_PRE("AUD00000" , "项目管理的审核UUID前缀"),
    ESTATE_ID_PRE("EST00001" , "项目管理的楼盘UUID前缀"),
    HOUSE_ID_PRE("HUS00001" , "项目管理中房源的UUID前缀"),
    API_REQUEST_ID_PRE("HOUSREQ0" , "房源格式化请求的UUID前缀"),
    API_ROOM_ID_PRE("ROOMID01" , "VR看房的SOCKET房间号的UUID前缀"),
    API_HOUSE_ID_PRE("APIHOUSE" , "API房源信息的UUID前缀"),
    API_HOUSE_RECOMMEND_ID_PRE("RECHOUSE" , "API房源的推荐房源信息的UUID前缀"),
    OPERATION_ID_PRE("OP000001" , "操作日志的UUID前缀"),
    ;
    private String pre;
    private String desc;


    UuidPreEnum(String pre, String desc) {
        this.pre = pre;
        this.desc = desc;
    }

    public String getPre() {
        return pre;
    }

    public String getDesc() {
        return desc;
    }
}
